Subject: Re: [Bcm43xx-dev] [Fwd: State of the Union: Wireless]

From: Ingo Oeser <[email-masked]>
Date: Mon, 9 Jan 2006 19:24:26 +0100

David S. Miller wrote:
> From: David Lang <[email-masked]>
> Date: Fri, 6 Jan 2006 14:16:17 -0800 (PST)
> 
> > character devices are far easier to script. this really sounds like the 
> > type of configuration stuff that sysfs was designed for. can we avoid yet 
> > another configuration tool that's required?
> 
> netlink is being recommended exactly because it can result
> in only needing one tool for everything

Yes, iproute2 rocks!

I recently discovered that it can do "xfrm" stuff and was amazed to
see that the developer(s) had a big clue about what we like to
see (and what is human readable), if we type "ip xfrm state" 
and "ip xfrm policy" as opposed to "setkey -D" and "setkey -PD".

So I can only hope that netlink and iproute will be chosen as a way
to represent it to the user, just because of the clueful developers of
iproute2.

Regards

Ingo Oeser